DROP TABLE T_WEB_DEMAND;
CREATE TABLE T_WEB_DEMAND (
  ID NUMBER(20) NOT NULL ,
  TITLE varchar(128) NOT NULL,
  SUBJECT CLOB NOT NULL,
  CLIENT_EMAIL varchar(64) NOT NULL,
  CREATE_DATE date DEFAULT NULL,
  PRIMARY KEY (ID)
);

CREATE SEQUENCE web_demand_sequence
START WITH 1
INCREMENT BY 1;

CREATE OR REPLACE TRIGGER web_demand_trigger
BEFORE INSERT ON T_WEB_DEMAND
FOR EACH ROW
WHEN (new.id IS NULL)
BEGIN
 SELECT web_demand_sequence.NEXTVAL
 INTO :NEW.ID
 FROM dual;
END;
/
insert  into T_WEB_DEMAND (TITLE, SUBJECT, CLIENT_EMAIL, CREATE_DATE) values ('test','test1','ti@tisquare.com', sysdate);
